Subject: AW: [Sigtran] M2PA: T7 and dropping SCTP association after link f ailure

From: Schwarzbauer Hanns Juergen <[email-masked]>
Date: Thu, 24 Apr 2003 08:26:46 +0200

Dear all,

see my comments below

Greetings

HannsJuergen

> -----Ursprüngliche Nachricht-----
> Von: TOLGA ASVEREN [mailto:[email-masked]]
> Gesendet: Donnerstag, 24. April 2003 08:00
> An: [email-masked]
> Betreff: [Sigtran] M2PA: T7 and dropping SCTP association after link
> failure
> 
> 
> Hi Tom,
> 
> 1) In M2PA 4.2.1
> "Because propagation delays in IP networks are more variable than in
> traditional SS7 networks, a single T7 timer (excessive delay of
> acknowledgement) is inadequate. A T7 timer SHALL be started for each
> message in the M2PA retransmit buffer."
> 
> I think this explanation might be confusing -or better said 
> not complete-
> for people, which did not follow the threads related with T7. 
> IMO, it could
> be better to mention about possibility of SCTP delaying 
> acknowledgements
> for a specific message. Furthermore, based on what it stands 
> in RFC2960 6.1
> "This document is specified as if there is a single 
> retransmission timer
> per destination transport address, but implementations MAY have a
> retransmission timer for each DATA chunk." , I would think it could be
> better to revise the above section of M2PA, reflecting that 
> based on how
> the underlying SCTP handles T3, how to use M2PA T7 might be different.

[HJS] 
in case the delay variations of an IP network used to transfer SS7 messages are so volatile to justify starting a T7 timer for every retransmitted message, then you should think about your IP network design before putting more functionality in M2PA. 
What granularity do you want to have for such a message individual T7 timer? 10 ms? 
I'm definitely not heading for the transport of SS7 messages over the public IP network. Having multiple T7 timers should be considered an option only, as Tolga proposed below.
[HJS]

> 
> 2) A few weeks ago there was a thread about why we don't want to drop
> association when  link failure occures. Personally I still 
> think dropping
> SCTP association is a better choice, because IMO there is no 
> real reason
> -as far as I can see- to not drop it and if not dropped, 
> messages arriving
> in the old link context might trigger a new link failure(in 
> this thread
> there are also counterarguments expressed by Brian). What do 
> the others
> think?
[HJS]
I agree with Tolga. We should not consider SCTP be to simply a "wire". Furthermore the "link failure" might have its reasons somewhere in the network. 
[HJS]

> 
>      Tolga
> 
> 
> 
> 
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran
> 
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran